plotNormalizedData {CALIB} | R Documentation

## plot estimated absolute levels of two conditions

### Description

plot estimated absolute levels of any two user-specified conditions. The values in the plot are in log scale.

### Usage

    plotNormalizedData(data, condition = c(1, 2), xlab = NULL, ylab = NULL,
                       main = NULL,xlim = NULL, ylim = NULL, pch = 19,
                       cex = 0.2,col = "black", diag=TRUE, diagcol="blue",
                       diaglwd=1.5, ...)

### Arguments

`data` | matrix containing estimated absolute levels. columns are conditons and rows are genes.
`condition` | integer vector giving the two conditions to be plotted.
`xlab` | a title for the x axis.
`ylab` | a title for the y axis.
`main` | an overall title for the plot.
`xlim` | the x limits (min,max) of the plot.
`ylim` | the y limits of the plot.
`pch` | an integer code for one of a set of plotting characters or symbols for the spike data set. Default is 19.
`cex` | a numerical value giving the amount by which points should be scaled relative to the default. Default is 0.2.
`col` | the color of the points. Default is black.
`diag` | a logical value. Add diagonal on the plot if it is `TRUE`. Default is `TRUE`.
`diagcol` | the color of the diagonal. Default is blue.
`diaglwd` | the width of the diagonal. Default is 1.5.
`...` | other graphical parameters can be used in function `plot`.

### Details

The function polts estimated absolute expression levels of two conditions. It accepts expression levels from the argument 'data', which should have the same data format as the output value of the function `NormalizeData`.

The two conditions to be plotted should be specified by the argument `condition`. The `condition` should be a numeric vector with length two and it should be subset of condition vector of the design matrix. see function `NormalizeData`.

see other graphic functions for the other arguments.

### Value

A plot is created on the current graphics device.

### Author(s)

Hui Zhao

### Examples

    # load data: normalized data
    data(normdata)

    # specify the two conditions to be plotted.
    cond <- c(1,2)

    # use the default values for other parameters.
    plotNormalizedData(normdata,condition = cond)

[Package CALIB version 1.10.0 Index]